package mock

import (
	"context"
	"net"
)

type Service struct {
	IP    net.IP
	Error error
}

func (s Service) Name() string {
	return "mock"
}

func (s Service) Lookup(ctx context.Context) (net.IP, error) {
	return s.IP, s.Error
}
